package net.t2code.alias.Spigot.config.config;

import net.minecraft.world.level.levelgen.DensityFunctions;
import net.t2code.alias.Spigot.Main;
import net.t2code.alias.Spigot.system.AliasRegister;
import net.t2code.alias.Spigot.objects.AliasObjekt;
import net.t2code.alias.Util;
import org.bukkit.configuration.file.YamlConfiguration;

import java.io.File;

public class SelectAlias {
    private static String Prefix = Util.getPrefix();
    public static void onSelect() {

        Main.aliasHashMap.clear();
        Main.allAliases.clear();
        File f = new File(Main.getPath() + "/Alias/");
        File[] fileArray = f.listFiles();
        for (File config_gui : fileArray) {
            if (config_gui.getName().equals("X_aliasDeclaration_X.yml")) return;
            String sub = config_gui.getName().substring(config_gui.getName().length() - 4);
            if (sub.equals(".yml")) {
                Main.allAliases.add(config_gui.getName().replace(".yml", ""));
                YamlConfiguration yamlConfiguration = YamlConfiguration.loadConfiguration(config_gui);

                AliasObjekt alias = new AliasObjekt(
                        yamlConfiguration.getBoolean("Alias.Enable"),
                        yamlConfiguration.getBoolean("Alias.Permission.Necessary"),

                        yamlConfiguration.getBoolean("Alias.Cost.Enable"),
                        yamlConfiguration.getDouble("Alias.Cost.Price"),
                        yamlConfiguration.getBoolean("Alias.Cost.AllowByPass"),

                        yamlConfiguration.getBoolean("Alias.Command.Enable"),
                        yamlConfiguration.getBoolean("Alias.Command.CommandAsConsole"),
                        yamlConfiguration.getBoolean("Alias.Command.BungeeCommand"),
                        yamlConfiguration.getStringList("Alias.Command.Commands"),

                        yamlConfiguration.getBoolean("Alias.Message.Enable"),
                        yamlConfiguration.getStringList("Alias.Message.Messages"),
                        yamlConfiguration.getBoolean("Alias.Message.TextBuilder.Enable"),
                        yamlConfiguration.getString("Alias.Message.TextBuilder.Hover"),
                        yamlConfiguration.getBoolean("Alias.Message.TextBuilder.ClickEvent.Enable"),
                        yamlConfiguration.getString("Alias.Message.TextBuilder.ClickEvent.Action"),
                        yamlConfiguration.getString("Alias.Message.TextBuilder.ClickEvent.ActionValue"),

                        yamlConfiguration.getBoolean("Alias.Admin.Enable"),
                        yamlConfiguration.getString("Alias.Admin.Permission"),

                        yamlConfiguration.getBoolean("Alias.Admin.Command.Enable"),
                        yamlConfiguration.getBoolean("Alias.Admin.Command.CommandAsConsole"),
                        yamlConfiguration.getBoolean("Alias.Admin.Command.BungeeCommand"),
                        yamlConfiguration.getStringList("Alias.Admin.Command.Commands"),

                        yamlConfiguration.getBoolean("Alias.Admin.Message.Enable"),
                        yamlConfiguration.getStringList("Alias.Admin.Message.Messages"),
                        yamlConfiguration.getBoolean("Alias.Admin.Message.TextBuilder.Enable"),
                        yamlConfiguration.getString("Alias.Admin.Message.TextBuilder.Hover"),
                        yamlConfiguration.getBoolean("Alias.Admin.Message.TextBuilder.ClickEvent.Enable"),
                        yamlConfiguration.getString("Alias.Admin.Message.TextBuilder.ClickEvent.Action"),
                        yamlConfiguration.getString("Alias.Admin.Message.TextBuilder.ClickEvent.ActionValue"),

                        yamlConfiguration.getBoolean("Alias.Console.Enable"),
                        yamlConfiguration.getBoolean("Alias.Console.Command.Enable"),
                        yamlConfiguration.getBoolean("Alias.Console.Command.BungeeCommand"),
                        yamlConfiguration.getStringList("Alias.Console.Command.Commands"),
                        yamlConfiguration.getBoolean("Alias.Console.Message.Enable"),
                        yamlConfiguration.getStringList("Alias.Console.Message.Messages"));
                Main.aliasHashMap.put(config_gui.getName().replace(".yml", ""), alias);
                AliasRegister.onRegister();
            }
        }
    }
}
